Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.wrappers
Class SmbTest

    java.lang.Object
      NtlmAuthenticator
          net.sf.jftp.net.wrappers.SmbTest

    public class SmbTest

extends NtlmAuthenticator

Constructor Summary
`SmbTest(java.lang.String[] argv)`

Method Summary
`protected NtlmPasswordAuthentication` | `getNtlmPasswordAuthentication()`
`static void` | `main(java.lang.String[] argv)`
`static java.lang.String` | `readLine()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmbTest

    public SmbTest(java.lang.String[] argv)
            throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### readLine

    public static java.lang.String readLine()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getNtlmPasswordAuthentication

    protected NtlmPasswordAuthentication getNtlmPasswordAuthentication()

### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD